program annif

  implicit none
  ! Definition de la structure
  type personne
    integer :: num
    character (len=30) :: nom
    integer, dimension(3) :: jma
  end type personne
  ! DECLARATIONS
  integer :: n_amis
  character (len=15) :: nom_fichier
  integer, dimension(3) :: date_du_jour
  type(personne), dimension(:), allocatable :: p

  ! INSTRUCTIONS

  ! Definition du nom du fichier a lire
  nom_fichier = 'amis.dat'

  ! Calcul du nombre d'amis
  call calcul_nb_lignes(nom_fichier,n_amis)
  n_amis = n_amis-2
  print*, "nb d'amis = ",n_amis

  allocate(p(n_amis))

  ! Recuperation de la date du jour
  call idate(date_du_jour)
  print*, "La date du jour est ",date_du_jour(1),"/",date_du_jour(2),"/",date_du_jour(3)

  ! Recherche des personnes dont c'est l'anniversaire
  call qui_annif(nom_fichier,n_amis,date_du_jour,p)

  call age_stat(n_amis,date_du_jour,p)

  deallocate(p)

end program annif

